Bug 962966 - [abrt] openstack-keystone-2012.2.4-2.fc18: cfg.py:1655:_parse_config_files:ConfigFilesNotFoundError: Failed to read some config files: /etc/keystone/keystone.conf [NEEDINFO]
[abrt] openstack-keystone-2012.2.4-2.fc18: cfg.py:1655:_parse_config_files:Co...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openstack-keystone (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
abrt_hash:d4d55448ee8b33d8a66aeeaa4b2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 16:37 EDT by Semih
Modified: 2013-10-15 09:55 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 09:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: needinfo? (rsemihteke)


Attachments (Terms of Use)
File: backtrace (1.03 KB, text/plain)
2013-05-14 16:37 EDT, Semih
no flags Details
File: core_backtrace (506 bytes, text/plain)
2013-05-14 16:37 EDT, Semih
no flags Details
File: environ (1.97 KB, text/plain)
2013-05-14 16:37 EDT, Semih
no flags Details

  None (edit)
Description Semih 2013-05-14 16:37:30 EDT
Description of problem:
While I was installing keystone and configurind tanent,users,roles

Version-Release number of selected component:
openstack-keystone-2012.2.4-2.fc18

Additional info:
cmdline:        /usr/bin/python /bin/keystone-manage db_sync
executable:     /bin/keystone-manage
kernel:         3.8.11-200.fc18.x86_64
uid:            163
ureports_counter: 2

Truncated backtrace:
cfg.py:1655:_parse_config_files:ConfigFilesNotFoundError: Failed to read some config files: /etc/keystone/keystone.conf

Traceback (most recent call last):
  File "/bin/keystone-manage", line 28, in <module>
    cli.main(argv=sys.argv, config_files=config_files)
  File "/usr/lib/python2.7/site-packages/keystone-2013.2.a90.gb55620d-py2.7.egg/keystone/cli.py", line 196, in main
    default_config_files=config_files)
  File "/usr/lib/python2.7/site-packages/oslo.config-1.1.0-py2.7.egg/oslo/config/cfg.py", line 1180, in __call__
    self._parse_config_files()
  File "/usr/lib/python2.7/site-packages/oslo.config-1.1.0-py2.7.egg/oslo/config/cfg.py", line 1655, in _parse_config_files
    raise ConfigFilesNotFoundError(not_read_ok)
ConfigFilesNotFoundError: Failed to read some config files: /etc/keystone/keystone.conf

Local variables in innermost frame:
not_read_ok: ['/etc/keystone/keystone.conf']
p: '/etc/keystone/keystone.conf'
config_files: ['/etc/keystone/keystone.conf']
self: <oslo.config.cfg.ConfigOpts object at 0x24ecb10>
read_ok: []
Comment 1 Semih 2013-05-14 16:37:34 EDT
Created attachment 747917 [details]
File: backtrace
Comment 2 Semih 2013-05-14 16:37:38 EDT
Created attachment 747918 [details]
File: core_backtrace
Comment 3 Semih 2013-05-14 16:37:41 EDT
Created attachment 747919 [details]
File: environ
Comment 4 Semih 2013-05-14 16:42:03 EDT
Description of problem:
While I was installing keystone and configurind tanent,users,roles

Version-Release number of selected component:
openstack-keystone-2012.2.4-2.fc18

Additional info:
cmdline:        /usr/bin/python /bin/keystone-manage db_sync
executable:     /bin/keystone-manage
kernel:         3.8.11-200.fc18.x86_64
uid:            163
ureports_counter: 3

Truncated backtrace:
cfg.py:1655:_parse_config_files:ConfigFilesNotFoundError: Failed to read some config files: /etc/keystone/keystone.conf

Traceback (most recent call last):
  File "/bin/keystone-manage", line 28, in <module>
    cli.main(argv=sys.argv, config_files=config_files)
  File "/usr/lib/python2.7/site-packages/keystone-2013.2.a90.gb55620d-py2.7.egg/keystone/cli.py", line 196, in main
    default_config_files=config_files)
  File "/usr/lib/python2.7/site-packages/oslo.config-1.1.0-py2.7.egg/oslo/config/cfg.py", line 1180, in __call__
    self._parse_config_files()
  File "/usr/lib/python2.7/site-packages/oslo.config-1.1.0-py2.7.egg/oslo/config/cfg.py", line 1655, in _parse_config_files
    raise ConfigFilesNotFoundError(not_read_ok)
ConfigFilesNotFoundError: Failed to read some config files: /etc/keystone/keystone.conf

Local variables in innermost frame:
not_read_ok: ['/etc/keystone/keystone.conf']
p: '/etc/keystone/keystone.conf'
config_files: ['/etc/keystone/keystone.conf']
self: <oslo.config.cfg.ConfigOpts object at 0x24ecb10>
read_ok: []
Comment 5 Alan Pevec 2013-06-24 05:58:49 EDT
> While I was installing keystone and configurind tanent,users,roles

What were your exact steps? Is this Packstack or manual install?

> openstack-keystone-2012.2.4-2.fc18
> 
> Additional info:
> cmdline:        /usr/bin/python /bin/keystone-manage db_sync
> executable:     /bin/keystone-manage
> kernel:         3.8.11-200.fc18.x86_64
> uid:            163

163 is keystone user account, which is correct.

> cfg.py:1655:_parse_config_files:ConfigFilesNotFoundError: Failed to read some config files: /etc/keystone/keystone.conf

Please check that /etc/keystone/keystone.conf is owned root:keystone with 750 permissions, as distributed in the F18 RPM:
http://koji.fedoraproject.org/koji/fileinfo?rpmID=4098902&filename=/etc/keystone/keystone.conf

Note You need to log in before you can comment on or make changes to this bug.